#
# spec file for package nvidia-container-toolkit
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define project github.com/NVIDIA/nvidia-container-toolkit
Name:           nvidia-container-toolkit
Version:        1.5.1
Release:        5.3.1
Summary:        NVIDIA Container Toolkit
License:        Apache-2.0
Group:          Development/Tools/Other
URL:            https://github.com/NVIDIA/nvidia-container-toolkit
Source0:        nvidia-container-toolkit-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  libcontainers-common
BuildRequires:  go-go-md2man
BuildRequires:  golang(API) >= 1.16
BuildRequires:  golang-packaging
Requires:       libnvidia-container-tools
%{go_nostrip}
%{go_provides}

%description
Build and run containers leveraging NVIDIA GPUs.

%prep
#%setup -q -T -D -b 0 -n nvidia-container-toolkit-%{version}
%setup -q -a1

%build
%{goprep} github.com/NVIDIA/nvidia-container-toolkit
export GOPATH=$HOME/go
mkdir -pv $HOME/go/src/%{project}
rm -rf $HOME/go/src/%{project}/*
cp -avr * $HOME/go/src/%{project}
cd $HOME/go/src/%{project}

go build -v -ldflags "-s -w" \
    -o bin/nvidia-container-toolkit \
    ./cmd/nvidia-container-toolkit

%install
install -D -m 0755 $HOME/go/src/%{project}/bin/nvidia-container-toolkit %{buildroot}/%{_bindir}/nvidia-container-toolkit
install -D -m 0644 oci-nvidia-hook.json %{buildroot}/usr/share/containers/oci/hooks.d/oci-nvidia-hook.json
install -D -m 0644 config/config.toml.opensuse-leap %{buildroot}/etc/nvidia-container-runtime/config.toml

ln -s %{_bindir}/nvidia-container-toolkit %{buildroot}/%{_bindir}/nvidia-container-runtime-hook

%files
%license LICENSE
%{_bindir}/nvidia-container-toolkit
%{_bindir}/nvidia-container-runtime-hook
/usr/share/containers/oci/hooks.d/oci-nvidia-hook.json
/etc/nvidia-container-runtime
%config(noreplace) /etc/nvidia-container-runtime/config.toml

%changelog
* Wed Jun 30 2021 mjura@suse.com
- Update to version 1.5.1:
  * Bump to version 1.5.1
  * Explicitly set GOOS when building binary
  * Add coverage step to CI
  * Move pkg to cmd/nvidia-container-toolkit
  * Run go mod vendor and go mod tidy
  * Fix bug where docker swarm device selection is overriden by NVIDIA_VISIBLE_DEVICES
  * Use require package for tests
  * Add coverage to go tests
  * Update vendoring
  * Bump version to 1.5.0
* Wed Apr  8 2020 sgrunert@suse.com
- Add initial version
